%include	/usr/lib/rpm/macros.php

%define		_status		stable
%define		_pearname	Math_BigInteger
Summary:	%{_pearname} - Pure-PHP arbitrary precission integer arithmetic library
Name:		php-pear-%{_pearname}
Version:	1.0.3
Release:	1
License:	LGPL License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	386974141195d31d7cbf1ae7ac348d17
URL:		http://pear.php.net/package/Math_BigInteger/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Supports base-2, base-10, base-16, and base-256 numbers. Uses the GMP
or BCMath extensions, if available, and an internal implementation,
otherwise.

In PEAR status of this package is: %{_status}.

%prep
%pear_package_setup

install -d examples
mv .%{php_pear_dir}/Math/BigInteger/demo/* examples

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Math/BigInteger.php

%{_examplesdir}/%{name}-%{version}
%changelog
* Sat Mar 02 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Math_BigInteger.git;a=log;h=master

* Sat Mar 02 2019 Adam Gołębiowski <adamg@pld-linux.org> 12539cd
- updated to 1.0.3

* Thu Jun 19 2014 Elan Ruusamäe <glen@delfi.ee> a23f46a
- up to 1.0.2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 394727b
- new

